# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-15 17:12
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('offer', '0015_auto_20171008_1436'),
    ]

    operations = [
        migrations.CreateModel(
            name='RangeGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path', models.CharField(max_length=255, unique=True)),
                ('depth', models.PositiveIntegerField()),
                ('numchild', models.PositiveIntegerField(default=0)),
                ('title', models.CharField(max_length=1024, verbose_name='название')),
            ],
            options={
                'verbose_name': 'группа ассортиментов',
                'verbose_name_plural': 'ассортименты',
            },
        ),
        migrations.AlterModelOptions(
            name='rangediscount',
            options={'ordering': ['priority'], 'verbose_name': 'скидка', 'verbose_name_plural': 'скидки'},
        ),
        migrations.AddField(
            model_name='range',
            name='hidden_in_admin',
            field=models.BooleanField(default=False, verbose_name='Служебная акция'),
        ),
        migrations.AddField(
            model_name='rangediscount',
            name='active',
            field=models.BooleanField(default=True, verbose_name='Активно'),
        ),
        migrations.AddField(
            model_name='rangediscount',
            name='hidden_in_admin',
            field=models.BooleanField(default=False, verbose_name='Служебная акция'),
        ),
        migrations.AddField(
            model_name='range',
            name='group',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='ranges', to='offer.RangeGroup', verbose_name='Группа ассортиментов'),
        ),
    ]
